#
# spec file for package ibus-sunpinyin
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-sunpinyin
Version:        2.0.3
Release:        4.4
Summary:        Sunpinyin module for ibus
License:        LGPL-2.1 or CDDL-1.0
Group:          System/I18n/Chinese
Url:            http://code.google.com/p/sunpinyin/
BuildRequires:  gcc-c++
BuildRequires:  ibus-devel
BuildRequires:  intltool
BuildRequires:  libsunpinyin-devel
BuildRequires:  python-devel
BuildRequires:  scons >= 1.2.0
%if 0%{?suse_version}
BuildRequires:  sqlite3-devel
%else
BuildRequires:  sqlite-devel
%endif
Source:         http://sunpinyin.googlecode.com/files/ibus-sunpinyin-%{version}.tar.gz
Provides:       locale(ibus:zh_CN;zh_SG)
Requires:       python-ibus
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ibus-sunpinyin is a wrapper around SunPinyin which enables user to use
SunPinyin with IBus framework.

%prep
%setup -q 
sed -i "s/LIBEXECDIR'\].*ibus-sunpinyin.*/LIBEXECDIR'\]/" SConstruct

%build
scons --prefix=%{_prefix} --libdir=%{_libdir} --libexecdir=%{_libdir}/ibus

%install
scons install --prefix=%{_prefix} --libdir=%{_libdir} --libexecdir=%{_libdir}/ibus --install-sandbox=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/ibus/ibus-engine-sunpinyin
%{_libdir}/ibus/ibus-setup-sunpinyin
%{_datadir}/%{name}
%{_datadir}/ibus/component/sunpinyin.xml

%changelog
* Sat Jul 20 2013 hillwood@linuxfans.org
- And python-ibus as Requires.
* Mon May  6 2013 i@marguerite.su
- remove unnessary Requires.
* Sat Apr 27 2013 i@marguerite.su
- fix the crappy libexecdir.
  * no longer install to /usr/lib/ibus-sunpinyin,
    even on a x86_64 system. install %%{_libdir}/ibus instead.
* Sat Jun  2 2012 hillwood@linuxfans.org
- bring ibus-sunpinyin as default in DVD.
- add Provides(ibus:zh)
* Thu Feb 16 2012 cfarrell@suse.com
- license update: LGPL-2.1 or CDDL-1.0
  Look at the license file - it is a choice of LGPL-2.1, not GPL-2.0. Also,
  use SPDX format
* Mon Aug  1 2011 tiwai@suse.de
- Fix build on FACTORY
- Clean up spec file
* Fri Jul 29 2011 hillwood@linuxfans.org
- Move changelog to a single file
* Wed Feb 23 2011 hillwood@linuxfans.org
- new release 2.0.3
